Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

Add missing libgcrypt dependencies post-gnutls 3 update

Closes #16093.

Signed-off-by: Jack Nagel <jacknagel@gmail.com>
  • Loading branch information...
commit 99d797cf259360cccf244039c021509c755d29ca 1 parent 828dc74
Stefan authored Gary Wolfman committed
1  Library/Formula/bitlbee.rb
@@ -10,6 +10,7 @@ class Bitlbee < Formula
10 10
11 11 depends_on 'glib'
12 12 depends_on 'gnutls'
  13 + depends_on 'libgcrypt'
13 14 depends_on 'libpurple' => :optional if build.include? 'purple'
14 15 depends_on 'libotr' => :optional if build.include? 'with-otr'
15 16
3  Library/Formula/inspircd.rb
@@ -13,7 +13,8 @@ class Inspircd < Formula
13 13 option 'with-tre', 'Enable the TRE module'
14 14
15 15 depends_on 'pkg-config' => :build
16   - depends_on 'gnutls' unless build.include? 'without-gnutls'
  16 + depends_on 'gnutls' => :recommended unless build.include? 'without-gnutls'
  17 + depends_on 'libgcrypt' unless build.include? 'without-gnutls'
17 18 depends_on 'openssl' if build.include? 'with-openssl'
18 19 depends_on 'pcre' if build.include? 'with-pcre'
19 20 depends_on 'tre' if build.include? 'with-tre'
1  Library/Formula/libimobiledevice.rb
@@ -13,6 +13,7 @@ class Libimobiledevice < Formula
13 13 depends_on 'libplist'
14 14 depends_on 'usbmuxd'
15 15 depends_on 'gnutls'
  16 + depends_on 'libgcrypt'
16 17
17 18 if build.head?
18 19 depends_on :automake
1  Library/Formula/libvirt.rb
@@ -14,6 +14,7 @@ class Libvirt < Formula
14 14 option 'without-libvirtd', 'Build only the virsh client and development libraries'
15 15
16 16 depends_on "gnutls"
  17 + depends_on 'libgcrypt'
17 18 depends_on "yajl"
18 19
19 20 if MacOS.version == :leopard
5 Library/Formula/libxmlsec1.rb
@@ -5,9 +5,12 @@ class Libxmlsec1 < Formula
5 5 url 'http://www.aleksey.com/xmlsec/download/xmlsec1-1.2.18.tar.gz'
6 6 sha1 '740c3c791be838bf638651a3fe0e80c624c2ae0e'
7 7
  8 + option 'without-gnutls', 'Disable GnuTLS'
  9 +
8 10 depends_on 'pkg-config' => :build
9 11 depends_on 'libxml2' # Version on 10.6/10.7 is too old
10   - depends_on 'gnutls' => :optional
  12 + depends_on 'gnutls' => :recommended unless build.include? 'without-gnutls'
  13 + depends_on 'libgcrypt' unless build.include? 'without-gnutls'
11 14
12 15 # Add HOMEBREW_PREFIX/lib to dl load path
13 16 def patches; DATA; end
1  Library/Formula/pianobar.rb
@@ -11,6 +11,7 @@ class Pianobar < Formula
11 11 depends_on 'mad'
12 12 depends_on 'faad2'
13 13 depends_on 'gnutls'
  14 + depends_on 'libgcrypt'
14 15 depends_on 'json-c'
15 16
16 17 fails_with :llvm do
1  Library/Formula/wireshark.rb
@@ -7,6 +7,7 @@ class Wireshark < Formula
7 7
8 8 depends_on 'pkg-config' => :build
9 9 depends_on 'gnutls' => :optional
  10 + depends_on 'libgcrypt' => :optional
10 11 depends_on 'c-ares' => :optional
11 12 depends_on 'pcre' => :optional
12 13 depends_on 'glib'

0 comments on commit 99d797c

Please sign in to comment.
Something went wrong with that request. Please try again.